Subject: Re: [I2nsf] Artart last call review of draft-ietf-i2nsf-nsf-monitoring-data-model-12

From: "Valery Smyslov" <[email-masked]>
Date: Wed, 1 Dec 2021 18:01:29 +0300

Hi Paul,

Hi Valery,

Thanks for your kind review.

Here are my answers below.

On Tue, Nov 30, 2021 at 11:44 PM Valery Smyslov via Datatracker <[email-masked]> wrote:

Reviewer: Valery Smyslov
Review result: Ready with Issues

I am the assigned ART directorate reviewer for this document. These comments
were written primarily for the benefit of the ART area directors.  Document
editors and WG chairs should treat these comments just like any other last call
comments.

The document defines an information model and the YANG data model for an
interface used for monitoring Network Security Functions in the I2NSF framework.

Issues.

1. The YANG Data Model contains human-readable strings, like "src-user",
"message", etc. From description of thees fields they seem to contain a
free-form text with no indication in which language it is written. Section 4.2
of BCP 18 requires that protocols that transfer text MUST provide for carrying
information about the language of that text (e.g. via language tags).

  => src-user is the I2NSF User's name who generates the policy. 

       message is "the extra detailed description on NSF monitoring data to give

       an NSF data collector the context information as meta data". 

       I will clarify the definitions of src-user and message more clearly in the draft

       with the above definitions.

          I don’t think that the definition of these fields is incorrect.

          My point was that these fields are human-readable strings

          and thus it is needed to indicate in which human language they are written

          (unless we stick with the only one, say English).

          For example, language tags (RFC 5646) can be used for this purpose.

2. There are a number of 32-bit counters in the model. In high performance
networks they would wrap around after a relatively short period of time. It is
not clear how this situation is handled.

 => To prevent the counters from wrapping around quickly, I will replace 32-bit

      with 62-bit for counters.

          Great.

          Thank you,

          Valery.

      Thanks.

      Best Regards,

      Paul 

_______________________________________________
I2nsf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i2nsf

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Thu, 2 Dec 2021 11:05:02 +0900

Hi Valery,
Thanks for your comments.

I have read RFC 5646 about language tags briefly, but I am not sure how to
reflect your comments on this draft.
As you know, all the fields and their descriptions in this draft are
English.

Could you guide me how to put language tags in RFC 5646 into our draft?
https://datatracker.ietf.org/doc/html/rfc5646

Could you suggest an example for our draft?

Thanks.

Best Regards,
Paul

---

From: "Valery Smyslov" <[email-masked]>
Date: Thu, 2 Dec 2021 10:53:10 +0300

Hi Paul,

Hi Valery,

I have read RFC 5646 about language tags briefly, but I am not sure how to reflect your comments on this draft.

As you know, all the fields and their descriptions in this draft are English.

          Descriptions don’t matter, it is the content of the fields that matters.

          So, if you allowed users to fill in these fields in languages

          other than English, then you’d better to indicate what the language is used.

          I think you are in a better position than me to decide how to put language tags in your model

          or to decide that they are not needed in your case. As far as I understand usually a separate

          field is used to indicate the language. See for example RFC 7231 Section 3.1.3.

Thanks.

          Regards,

          Valery.

Best Regards,

Paul

Hi Paul,

Hi Valery,

Reviewer: Valery Smyslov

Issues.

          Great.

          Thank you,

          Valery.

      Thanks.

      Best Regards,

      Paul